# frozen_string_literal: true

require 'representable'

require_relative './oneaccess/http/http_client'

require_relative './oneaccess/configuration'
require_relative './oneaccess/serializable'

require_relative './oneaccess/enum/api_status_code'
require_relative './oneaccess/enum/product_type'
require_relative './oneaccess/enum/product_group_status'
require_relative './oneaccess/enum/entitlement_status'

require_relative './oneaccess/api/api_base'

require_relative './oneaccess/api/v1_1/base'
require_relative './oneaccess/api/v1_1/user'
require_relative './oneaccess/api/v1_1/research'
require_relative './oneaccess/api/v1_1/organizations'
require_relative './oneaccess/api/v1_1/symbology'
require_relative './oneaccess/api/v1_1/references'
require_relative './oneaccess/api/v1_1/entitlement/user_subscription'
require_relative './oneaccess/api/v1_1/entitlement/organization/product_group'
require_relative './oneaccess/api/v1_1/entitlement/user/product_group'
require_relative './oneaccess/api/v1_1/entitlement/research/user_requests'
require_relative './oneaccess/api/v1_1/entitlement/model/user_requests'

require_relative './oneaccess/api/v3_0/base'
require_relative './oneaccess/api/v3_0/references'
require_relative './oneaccess/api/v3_0/providers'
require_relative './oneaccess/api/v3_0/interactions'

module ONEAccess
  def self.configure
    raise 'expected block for configuration' unless block_given?
    yield Configuration
  end
end
