# frozen_string_literal: true

require_relative '../../../../response/product_groups_response'

module ONEAccess
  module API
    module V1_1
      module Entitlement
        module User
          class ProductGroup < Base
            api_path '/entitlement/user/productgroup'

            def self.get_list(user_id:, page_number: 0, page_size: 20, type: nil)
              resp = send_get(
                'getList', Query: {
                  PageNumber: page_number,
                  PageSize:   page_size,
                  UserId:     user_id,
                  Type:       type,
                }.to_json
              )
              Response::ProductGroupsResponse.from_json(resp.body)
            end
          end
        end
      end
    end
  end
end
