# frozen_string_literal: true

require_relative '../../../response/subscribe_to_updates_response'
require_relative '../../../response/changed_users_response'

module ONEAccess
  module API
    module V1_1
      module Entitlement
        class UserSubscription < Base
          api_path '/entitlement/userSubscription'

          def self.subscribe(user_ids:)
            response = send_post('subscribeToUpdates', user_ids)

            Response::SubscribeToUpdatesResponse.from_json(response.body)
          end

          def self.changed_users(from_date: nil)
            params = { dateFrom: from_date }.reject { |_, v| v.nil? }
            response = send_get('subscribeToUpdates/changedUsers/getList', params)

            Response::ChangedUsersResponse.from_json(response.body)
          end
        end
      end
    end
  end
end
