# frozen_string_literal: true

require_relative '../../response/research_document_response'

module ONEAccess
  module API
    module V1_1
      class Research < Base
        api_path '/research'

        def self.document(document_id:, first_name:, last_name:, email:)
          resp = send_get(
            'document', documentId: document_id, userFirstName: first_name,
                        userLastName: last_name, userEmail: email
          )
          Response::ResearchDocumentResponse.from_json(resp.body)
        end

        def self.document_by_user_id(document_id:, user_id:)
          resp = send_get('documentByUserId', documentId: document_id, userId: user_id)
          Response::ResearchDocumentResponse.from_json(resp.body)
        end
      end
    end
  end
end
