# frozen_string_literal: true

require_relative '../../response/companies_response'
require_relative '../../response/company_response'

module ONEAccess
  module API
    module V1_1
      class Symbology < Base
        api_path '/symbology'

        def self.companies(is_private:, page_number: 0, page_size: 20)
          resp = send_get(
            'companies', Query: {
              PageNumber: page_number,
              PageSize:   page_size,
              IsPrivate:  is_private,
            }.to_json
          )
          Response::CompaniesResponse.from_json(resp.body)
        end

        def self.company(id:)
          resp = send_get("companies/#{id}")
          Response::CompanyResponse.from_json(resp.body)
        end
      end
    end
  end
end
