# frozen_string_literal: true

require_relative './representer/product_group'

module ONEAccess
  module DataObject
    class ProductGroup
      extend Serializable

      represented_by Representer::ProductGroup

      attr_accessor :id
      attr_accessor :name
      attr_accessor :description
      attr_accessor :status
      attr_accessor :contributor_org_id
      attr_accessor :type
      attr_accessor :is_default

      alias is_default? is_default
      alias default? is_default

      def active?
        status == ProductGroupStatus::ACTIVE
      end

      def inactive?
        status == ProductGroupStatus::INACTIVE
      end

      def research?
        type == ProductType::RESEARCH
      end

      def private_events?
        type == ProductType::PRIVATE_EVENT
      end

      def events?
        type == ProductType::EVENT
      end

      def models?
        type == ProductType::MODEL
      end
    end
  end
end
