# frozen_string_literal: true

require_relative '../city'
require_relative '../country'
require_relative '../region'

module ONEAccess
  module DataObject
    module Representer
      class Address < Representable::Decorator
        include Representable::JSON

        property :id, as: :Id, type: Integer
        property :is_main_address, as: :IsMainAddress
        property :city, as: :City, decorator: Representer::City, class: DataObject::City
        property :country, as: :Country, decorator: Representer::Country, class: DataObject::Country
        property :region, as: :Region, decorator: Representer::Region, class: DataObject::Region
      end
    end
  end
end
