# frozen_string_literal: true

require_relative '../country'
require_relative '../region'

module ONEAccess
  module DataObject
    module Representer
      class City < Representable::Decorator
        include Representable::JSON

        property :id, as: :Id, type: Integer
        property :name, as: :Name, type: String
        property :code, as: :Code, type: String
        property :description, as: :Description, type: String
        property :longitude, as: :Longitude, type: Float
        property :latitude, as: :Type, type: Float
        property :country, as: :Country, decorator: Representer::Country, class: DataObject::Country
        property :region, as: :Region, decorator: Representer::Region, class: DataObject::Region
      end
    end
  end
end
