# frozen_string_literal: true

module ONEAccess
  module DataObject
    module Representer
      class Company < Representable::Decorator
        include Representable::JSON

        property :id, as: :Id, type: Integer
        property :perm_id, as: :PermId, type: Integer
        property :name, as: :Name, type: String
        property :is_private, as: :IsPrivate
        property :exchange_code, as: :ExchangeCode, type: String
        property :ticker, as: :Ticker, type: String
        property :website, as: :Website, type: String
        property :address,
          as: :Address,
          decorator: Representer::Address,
          class: DataObject::Address
        property :industry,
          as: :Industry,
          decorator: Representer::Industry,
          class: DataObject::Industry
        property :sub_industry,
          as: :SubIndustry,
          decorator: Representer::Industry,
          class: DataObject::Industry
      end
    end
  end
end
