# frozen_string_literal: true

require_relative '../region'
require_relative '../global_region'

module ONEAccess
  module DataObject
    module Representer
      class Country < Representable::Decorator
        include Representable::JSON

        property :id, as: :Id, type: Integer
        property :name, as: :Name, type: String
        property :code, as: :Code, type: String
        property :code3, as: :Code3, type: String
        property :description, as: :Description, type: String
        property :global_region,
          as: :GlobalRegion,
          decorator: Representer::GlobalRegion,
          class: DataObject::GlobalRegion
        collection :regions,
          as: :Regions,
          decorator: Representer::Region,
          class: DataObject::Region
      end
    end
  end
end
