# frozen_string_literal: true

module ONEAccess
  module DataObject
    module Representer
      class Organization < Representable::Decorator
        include Representable::JSON

        property :id, as: :Id, type: Integer
        property :name, as: :Name, type: String
        property :active, as: :Active
        property :short_name, as: :ShortName, type: String
        property :type, as: :Type, type: Integer
        property :main_address, as: :MainAddress, decorator: Representer::Address, class: DataObject::Address
        collection :addresses, as: :Addresses, decorator: Representer::Address, class: DataObject::Address
      end
    end
  end
end
