# frozen_string_literal: true

require_relative '../providers_user_details_vendor'

module ONEAccess
  module DataObject
    module Representer
      class ProvidersUserDetails < Representable::Decorator
        include Representable::JSON

        property :id, type: Integer
        property :user_rev_ent_status, as: :userreventstatus, type: String
        property :first_name, as: :firstname, type: String
        property :last_name, as: :lastname, type: String
        property :email, type: String
        property :vendors_count, as: :vendorscount, type: Integer
        collection :vendors,
          decorator: Representer::ProvidersUserDetailsVendor,
          class: DataObject::ProvidersUserDetailsVendor
      end
    end
  end
end
