# frozen_string_literal: true

require_relative '../providers_user_details'

module ONEAccess
  module DataObject
    module Representer
      class ProvidersUsersDetails < Representable::Decorator
        include Representable::JSON

        property :provider_id, as: :providerid, type: Integer
        property :buy_side_org_id, as: :buysideorgid, type: Integer
        property :provider_name, as: :providername, type: String
        property :contract_status, as: :contractstatus, type: String
        property :contract_status_id, as: :contractstatusid, type: String
        property :buy_side_org_name, as: :buysideorgname, type: String
        property :users_count, as: :userscount, type: Integer
        collection :users,
          decorator: Representer::ProvidersUserDetails,
          class: DataObject::ProvidersUserDetails
      end
    end
  end
end
