# frozen_string_literal: true

require_relative '../saml_info'

module ONEAccess
  module DataObject
    module Representer
      class ResearchDocumentInfo < Representable::Decorator
        include Representable::JSON

        property :url, as: :Url, type: String
        property :title, as: :Title, type: String
        property :saml,
          as: :SAML,
          decorator: Representer::SAMLInfo,
          class: DataObject::SAMLInfo
      end
    end
  end
end
