# frozen_string_literal: true

require_relative '../organization_light'
require_relative '../address'

module ONEAccess
  module DataObject
    module Representer
      class User < Representable::Decorator
        include Representable::JSON

        property :id, as: :Id, type: Integer
        property :first_name, as: :FirstName, type: String
        property :last_name, as: :LastName, type: String
        property :email, as: :Email, type: String
        property :phone, as: :Phone, type: String
        property :type, as: :Type, type: Integer
        property :active, as: :Active
        property :organization,
          as: :Organization,
          decorator: Representer::OrganizationLight,
          class: DataObject::OrganizationLight
        property :address,
          as: :Address,
          decorator: Representer::Address,
          class: DataObject::Address
      end
    end
  end
end
