# frozen_string_literal: true

require_relative './representer/user_entitlement_request'

module ONEAccess
  module DataObject
    class UserEntitlementRequest
      extend Serializable

      represented_by Representer::UserEntitlementRequest

      attr_accessor :id
      attr_accessor :create_date
      attr_accessor :update_date
      attr_accessor :notes
      attr_accessor :status
      attr_accessor :user
      attr_accessor :buy_side_org
      attr_accessor :sell_side_org
      attr_accessor :sell_side_user_groups

      def pending?
        status == EntitlementStatus::NONE
      end

      def approved?
        status == EntitlementStatus::APPROVED
      end

      def rejected?
        status == EntitlementStatus::REJECTED
      end

      def provisional?
        status == EntitlementStatus::PROVISIONAL
      end
    end
  end
end
