# frozen_string_literal: true

module ONEAccess
  module Error
    class APIError < StandardError
      attr_reader :http_status_code
      attr_reader :api_status_code
      attr_reader :api_status_message

      def initialize(http_status_code, api_status_code, api_status_message)
        @http_status_code = http_status_code
        @api_status_code = api_status_code
        @api_status_message = api_status_message
        super(api_status_message)
      end
    end
  end
end
