# frozen_string_literal: true

require_relative './base_response'
require_relative '../../data_object/meta'
require_relative '../../data_object/contributor'

module ONEAccess
  module Response
    module Representer
      class ContributorsResponse < Representable::Decorator
        include Representable::JSON

        property :meta,
          decorator: DataObject::Representer::Meta,
          class: DataObject::Meta
        collection :data,
          decorator: DataObject::Representer::Contributor,
          class: DataObject::Contributor
      end
    end
  end
end
