# frozen_string_literal: true

require_relative '../../data_object/meta'
require_relative '../../data_object/investor'

module ONEAccess
  module Response
    module Representer
      class InvestorsResponse < Representable::Decorator
        include Representable::JSON

        property :meta,
          decorator: DataObject::Representer::Meta,
          class: DataObject::Meta
        collection :data,
          decorator: DataObject::Representer::Investor,
          class: DataObject::Investor
      end
    end
  end
end
