# frozen_string_literal: true

module ONEAccess
  module Serializable
    def represented_by(representer_class)
      @representer_class = representer_class
    end

    def from_json(json)
      if collection?
        collection = []
        @representer_class.new(collection).from_json(json)
        collection
      else
        obj = new
        @representer_class.new(obj).from_json(json)
        obj
      end
    end

    private

    def collection?
      false
    end
  end
end
